MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032351Open CASCADE[OCCT] OCCT:Visualizationpublic2021-05-10 10:182021-05-15 15:34
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032351: Visualization, PrsDim_LengthDimension - add NULL checks for handling non-Line curves
DescriptionPrsDim_LengthDimension expects Geom_Line curves but lacks NULL-checks in some places leading to access violation instead of graceful initialization failure.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 200 0 0 100 200 300
pcylinder c 100 200
vinit View1
vdisplay -dispMode 1 b c
vfit

explode b V
explode c E
vdimension d -length -shapes c_1 b_1 -plane zox
# KO1 - NULL dereference

explode b E
explode c E
vdimension d -length -shapes c_1 b_3 -plane zox
# KO2 - NULL dereference
TagsNo tags attached.
Test case numberv3d/dimensions/bug32351
Attached Files

- Relationships

-  Notes
(0100841)
git (administrator)
2021-05-10 10:56

Branch CR32351 has been created by kgv.

SHA-1: 8527b61d6d249bc4620941c46cf92bad390c1d72


Detailed log of new commits:

Author: kgv
Date: Mon May 10 09:05:11 2021 +0300

    0032351: Visualization, PrsDim_LengthDimension - add NULL checks for handling non-Line curves
    
    Added several missing NULL-checks.
    Reduced restrictions on building Edge-Edge and Edge-Vertex length dimension.
    Added empty constructor for more straightforward initialization from vdimension command.
(0100843)
kgv (developer)
2021-05-10 12:18

Patch is ready for review
- OCCT: branch CR32351.

http://jenkins-test-occt/view/CR32351-master-KGV/ [^]
(0100849)
git (administrator)
2021-05-10 14:08

Branch CR32351 has been updated forcibly by kgv.

SHA-1: 52f7964b92c76b38db5bd5ae8c2f75bbf010feae
(0100864)
osa (developer)
2021-05-11 09:56

The patch was reviewed
(0101009)
bugmaster (administrator)
2021-05-15 14:00

Combination -
OCCT branch : IR-2021-05-14
master SHA - d1b8120b699dfa46c9899f70430ec45a0c4e4a95
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-14 SHA - c56cdc236ba39874bae48cf231ece00c0876d871
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17874.080000000333 / 17899.800000000352 [-0.14%]
Products
Total CPU difference: 11557.880000000083 / 11563.54000000011 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19394.921875 / 19369.625 [+0.13%]
Products
Total CPU difference: 12880.234375 / 12896.03125 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101034)
git (administrator)
2021-05-15 15:34

Branch CR32351 has been deleted by inv.

SHA-1: 52f7964b92c76b38db5bd5ae8c2f75bbf010feae

- Related Changesets
occt: master 14ba0bba
Timestamp: 2021-05-10 06:05:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032351: Visualization, PrsDim_LengthDimension - add NULL checks for handling non-Line curves

Added several missing NULL-checks.
Reduced restrictions on building Edge-Edge and Edge-Vertex length dimension.
Added empty constructor for more straightforward initialization from vdimension command.
mod - src/PrsDim/PrsDim.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_LengthDimension.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_LengthDimension.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - tests/v3d/dimensions/bug26317 Diff ] File ]
add - tests/v3d/dimensions/bug32351 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-10 10:18 kgv New Issue
2021-05-10 10:18 kgv Assigned To => kgv
2021-05-10 10:56 git Note Added: 0100841
2021-05-10 12:18 kgv Note Added: 0100843
2021-05-10 12:18 kgv Assigned To kgv => osa
2021-05-10 12:18 kgv Status new => resolved
2021-05-10 14:08 git Note Added: 0100849
2021-05-11 09:56 osa Note Added: 0100864
2021-05-11 09:56 osa Assigned To osa => bugmaster
2021-05-11 09:56 osa Status resolved => reviewed
2021-05-15 14:00 bugmaster Note Added: 0101009
2021-05-15 14:00 bugmaster Status reviewed => tested
2021-05-15 14:10 bugmaster Test case number => v3d/dimensions/bug32351
2021-05-15 14:16 bugmaster Changeset attached => occt master 14ba0bba
2021-05-15 14:16 bugmaster Status tested => verified
2021-05-15 14:16 bugmaster Resolution open => fixed
2021-05-15 15:34 git Note Added: 0101034


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker